# Get the datasource config for a catalog

Launch stage: Beta

`GET /api/2.0/lakewatch/{name=catalogs/*/datasourceConfig}`

Returns the datasource ingestion configuration for a catalog.

API scopes: lakewatch

## Path parameters

- `name` (string, required)

## Returns

Returns the DatasourceConfig object.

## Response

```json
{
  "name": "string",
  "version": 0,
  "update_time": "string",
  "updated_by": {
    "id": "string",
    "principal_type": "REGULAR_USER",
    "email": "string",
    "display_name": "string"
  },
  "etag": "string",
  "default_compute_mode": "DS_COMPUTE_STANDARD",
  "default_folder": "string",
  "effective_default_folder": "string"
}
```

